Subject: linux-next: manual merge of the arm64 tree with the origin tree

From: Mark Brown <[email-masked]>
Date: Mon, 26 Jan 2026 15:11:27 +0000

Hi all,

Today's linux-next merge of the arm64 tree got a conflict in:

  arch/arm64/kvm/hyp/entry.S

between commit:

  86364832ba6f2 ("KVM: arm64: Don't blindly set set PSTATE.PAN on guest exit")

from the origin tree and commit:

  018a231b0260e ("arm64: Unconditionally enable PAN support")

from the arm64 tree.

I fixed it up (see below) and can carry the fix as necessary. This
is now fixed as far as linux-next is concerned, but any non trivial
conflicts should be mentioned to your upstream maintainer when your tree
is submitted for merging.  You may also want to consider cooperating
with the maintainer of the conflicting tree to minimise any particularly
complex conflicts.

[Took the version from Linus' tree.]